API Documentation
  1. API Documentation - Version 3
API Documentation
  • API Documentation - Version 3
    • Getrate API
      POST
    • Purchase API
      POST
    • Get All Orders API
      POST
    • Get Order Detail API
      POST
    • Cancel Orders API
      POST
    • Get PodInfo API
      POST
    • Get Label API
      POST
    • Get TrackingInfo API
      POST
    • Create Manifest
      POST
    • Get Manifest
      POST
    • GetBreakdown
      POST
  1. API Documentation - Version 3

Get All Orders API

POST
/api/v3/shipment

Request

Query Params

Body Params application/json

Example
{
    "accessToken": "string",
    "mode": "sandbox"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.batchship.com/api/v3/shipment?page=1&limit=10' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accessToken": "string",
    "mode": "sandbox"
}'

Responses

🟢200成功
application/json
Body

Example
{
    "success": true,
    "payload": {
        "orders": [
            {
                "totalCharge": {
                    "unit": "USD",
                    "value": 5.47
                },
                "_id": "653a0543c4f4c760afa2f13d",
                "mode": "sandbox",
                "user": {
                    "_id": "65123cf9a6ae9a6e68e24de6",
                    "firstName": "XMind",
                    "lastName": "Tech"
                },
                "status": "pending",
                "rateId": "e1b7cf2d1516d8c5343a087e10a5a2261ff36b83bdb5a91c6ce51b19586ed98615072005809431",
                "shipmentId": "amzn1.70bb2182-1c1c-4222-b9d2-77bfbd965505",
                "packageDocumentDetails": [
                    {
                        "packageClientReferenceId": "SWA_US_SmartP_Test",
                        "packageDocuments": [
                            {
                                "type": "LABEL",
                                "contents": "LABEL_IMAGE",
                                "format": "PDF"
                            }
                        ],
                        "trackingId": "9031322607088"
                    }
                ],
                "shipFrom": {
                    "name": "Felix",
                    "addressLine1": "8945 Dice Road",
                    "city": "Santa Fe Springs",
                    "stateOrRegion": "CA",
                    "postalCode": "90670",
                    "countryCode": "US",
                    "phoneNumber": "",
                    "email": "",
                    "_id": "653a0448c4f4c760afa2f12f"
                },
                "shipTo": {
                    "name": "Jason",
                    "addressLine1": "318 BREA CANYON RD",
                    "city": "CITY OF INDUSTRY",
                    "stateOrRegion": "CA",
                    "postalCode": "91789",
                    "countryCode": "US",
                    "phoneNumber": "",
                    "email": "",
                    "_id": "653a0448c4f4c760afa2f130"
                },
                "packages": [
                    {
                        "sellerDisplayName": "APIAutomationSeller",
                        "insuredValue": {
                            "unit": "USD",
                            "value": 12
                        },
                        "weight": {
                            "unit": "OUNCE",
                            "value": 2
                        },
                        "items": [
                            {
                                "quantity": 1,
                                "itemValue": {
                                    "unit": "USD",
                                    "value": 10
                                },
                                "description": "SWA QA API Automation Items",
                                "weight": {
                                    "unit": "OUNCE",
                                    "value": 1
                                },
                                "itemIdentifier": "64618560956686",
                                "isHazmat": false,
                                "productType": "Rufus"
                            }
                        ],
                        "isHazmat": false,
                        "packageClientReferenceId": "SWA_US_SmartP_Test",
                        "dimensions": {
                            "unit": "INCH",
                            "length": 3,
                            "width": 3.14159,
                            "height": 3.14159
                        }
                    }
                ],
                "referenceId1": "",
                "referenceId2": "",
                "referenceId3": "",
                "createdAt": "2024-03-29T06:20:51.734Z",
                "updatedAt": "2024-03-29T06:20:51.734Z",
                "__v": 0
            },
            {
                "totalCharge": {
                    "unit": "USD",
                    "value": 5.47
                },
                "_id": "653a0502c4f4c760afa2f137",
                "mode": "sandbox",
                "user": {
                    "_id": "65123cf9a6ae9a6e68e24de6",
                    "firstName": "XMind",
                    "lastName": "Tech"
                },
                "status": "pending",
                "rateId": "e1b7cf2d1516d8c5343a087e10a5a2261ff36b83bdb5a91c6ce51b19586ed98615072005809431",
                "shipmentId": "amzn1.70bb2182-1c1c-4222-b9d2-77bfbd965505",
                "packageDocumentDetails": [
                    {
                        "packageClientReferenceId": "SWA_US_SmartP_Test",
                        "packageDocuments": [
                            {
                                "type": "LABEL",
                                "contents": "LABEL_IMAGE",
                                "format": "PNG"
                            }
                        ],
                        "trackingId": "9031322607088"
                    }
                ],
                "shipFrom": {
                    "name": "Felix",
                    "companyName": "Batchship2",
                    "addressLine1": "8945 Dice Road",
                    "city": "Santa Fe Springs",
                    "stateOrRegion": "CA",
                    "postalCode": "90670",
                    "countryCode": "US",
                    "phoneNumber": "",
                    "email": "",
                    "_id": "653a0448c4f4c760afa2f12f"
                },
                "shipTo": {
                    "name": "Jason",
                    "companyName": "Batchship",
                    "addressLine1": "318 BREA CANYON RD",
                    "city": "CITY OF INDUSTRY",
                    "stateOrRegion": "CA",
                    "postalCode": "91789",
                    "countryCode": "US",
                    "phoneNumber": "",
                    "email": "",
                    "_id": "653a0448c4f4c760afa2f130"
                },
                "packages": [
                    {
                        "sellerDisplayName": "APIAutomationSeller",
                        "insuredValue": {
                            "unit": "USD",
                            "value": 12
                        },
                        "weight": {
                            "unit": "OUNCE",
                            "value": 2
                        },
                        "items": [
                            {
                                "quantity": 1,
                                "itemValue": {
                                    "unit": "USD",
                                    "value": 10
                                },
                                "description": "SWA QA API Automation Items",
                                "weight": {
                                    "unit": "OUNCE",
                                    "value": 1
                                },
                                "itemIdentifier": "64618560956686",
                                "isHazmat": false,
                                "productType": "Rufus"
                            }
                        ],
                        "isHazmat": false,
                        "packageClientReferenceId": "SWA_US_SmartP_Test",
                        "dimensions": {
                            "unit": "INCH",
                            "length": 3,
                            "width": 3.14159,
                            "height": 3.14159
                        }
                    }
                ],
                "referenceId1": "",
                "referenceId2": "",
                "referenceId3": "",
                "createdAt": "2024-03-26T06:19:46.979Z",
                "updatedAt": "2024-03-26T06:19:46.979Z",
                "__v": 0
            }
        ]
    }
}
Modified at 2026-02-28 08:30:14
Previous
Purchase API
Next
Get Order Detail API
Built with